#!/bin/bash
# T. Odaka 23 Dec 2020
# T. Odaka 21 Feb 2023
#PJM -L  "rscgrp=large"                    # リソースグループの指定
#PJM -L  "elapse=00:30:00"                 # 経過時間制限 1時間
#PJM --mpi  "max-proc-per-node=48"                 # total mpi procs
#PJM -S                                    # 統計情報出力
#PJM -L "node=838"
#PJM -j 
#PJM -m b,e,s                                  # mail info
#PJM --mail-list tina.odaka@ifremer.fr
#

#
#省電力をつけたくないときは
#retention_state=0
#takeout _cache



set -x
# Following numbers must be consistant with the header of this job 
export NP_NODE=$PJM_NODE

export RUNDIR=/vol0403/share/hp200264/debug/XIOS2

export XIOSDIR=${RUNDIR}/XIOS
rm -rf ${XIOSDIR}

mkdir -p ${XIOSDIR}
lfs setstripe -c 4 ${XIOSDIR}
cd ${RUNDIR}
mkdir ./log

echo 'RUNDIR IS' ${RUNDIR}
echo 'XIOSDIR IS' ${XIOSDIR}

#for  xml_fil in ` ls ./file_def_nemo-*.xml ` ; do
#    echo $xml_fil
#    sed -i -e "s@/vol0403/share/hp200264/xios2.x/NPNODE_838_XIOS_436_NEMO_24724_JOBID_21703980/XIOS/@$XIOSDIR@"  $xml_fil
#done

#echo "set JPNI and JPNJ" $JPNI $JPNJ

#sed -i \
#    -e "s/220/$JPNI/g" \
#    -e "s/214/$JPNJ/g" namelist
#
#cp namelist namelist_cfg
#cp namelist namelist_ref
rm -rf nemo.exe

ulimit -s unlimited

module purge
module load lang/tcsds-1.2.35
. /vol0004/apps/oss/spack-v0.17.0/share/spack/setup-env.sh
#spack load xios@3.x
#cp  /home/hp200264/u01012/bench/shared-sedna/1_NEMO/NEMO4/cfgs/FSEDNAXIOS3/BLD/bin/nemo.exe .
cp  /home/hp200264/u01012/bench/shared-sedna/1_NEMO/NEMO4/cfgs/FSEDNAXIOS2X/BLD/bin/nemo.exe .
spack load xios@2.x
export RUNNAME=${RUNDIR}
export DATADIR=/home/hp200264/data/TMPDIR_XIOS_569_FAST
llio_transfer  ${DATADIR}/*.nc
llio_transfer $(type -p xios_server.exe)
llio_transfer  nemo.exe

XIOS=436
NEMO=24724

date
time mpiexec -vcoordfile ./hostfile  -stdout-proc ./%/1000R/stdout -stderr-proc ./%/1000R/%j.stderr -n $NEMO /bin/time  -v ./nemo.exe : -n $XIOS /bin/time -v $(type -p xios_server.exe)
date
export JOBID=${PJM_JOBID}
ssh login1 pjsub  /home/hp200264/u01012/bench/shared-sedna/2_RUN/post_with_debug.sh -x"RUNNAME=${RUNDIR},TAG=${JOBID},JOBID=${JOBID}"
